package ui.helpers;
import javax.swing.*;

/**
 * This is a "utility" class that implements some functions
 * that might be useful to many different applications
 * @author hornick
 *
 */
public class UIHelperFunctions {

	/**
	 *  default constructor; does nothing in this case.
	 */
	public UIHelperFunctions(){
	}
	
	/**
	 * display a welcome message
	 * @param welcomeMsg the welcome message to display
	 */
	public void displayWelcomeMessage( String welcomeMsg ) {
		JOptionPane.showMessageDialog(null, welcomeMsg, "Welcome", JOptionPane.INFORMATION_MESSAGE);
	}
	
	/**
	 * Display a dialog asking the user if they really want to quit.
	 * @return true if the user selects "Yes"; false otherwise.
	 */
	public boolean confirmQuitMessage() {
		int answer = JOptionPane.showConfirmDialog(null, 
				"Are you sure you want to quit?", 
				"Confirm quit", 
				JOptionPane.YES_NO_OPTION, 
				JOptionPane.QUESTION_MESSAGE);
		
		if( answer == JOptionPane.YES_OPTION ) // check the user's response
			return true;
		else
			return false;
	}
}
